summaryrefslogtreecommitdiffstats
path: root/academic/CAPS_coevolution/CAPS_coevolution.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'academic/CAPS_coevolution/CAPS_coevolution.SlackBuild')
-rw-r--r--academic/CAPS_coevolution/CAPS_coevolution.SlackBuild14
1 files changed, 7 insertions, 7 deletions
diff --git a/academic/CAPS_coevolution/CAPS_coevolution.SlackBuild b/academic/CAPS_coevolution/CAPS_coevolution.SlackBuild
index e18c9f2b26..fe93e4dc6e 100644
--- a/academic/CAPS_coevolution/CAPS_coevolution.SlackBuild
+++ b/academic/CAPS_coevolution/CAPS_coevolution.SlackBuild
@@ -30,14 +30,19 @@ BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
+# 2023-05-16 DW: add a real test
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i386 ;;
- arm*) ARCH=arm ;;
+ i?86) ARCH=i586 ;;
*) ARCH=$( uname -m ) ;;
esac
fi
+if [[ $ARCH != i?86 ]] && [ "$ARCH" != "x86_64" ]; then
+ printf "\n$ARCH is not supported... \n"
+ exit 1
+fi
+
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
# could be useful to other scripts.
@@ -52,11 +57,6 @@ OUTPUT=${OUTPUT:-/tmp}
set -e
-if [ "$ARCH" != "i386" ] && [ "$ARCH" != "x86_64" ]; then
- printf "\n\n$ARCH is not supported... \n"
- exit 1
-fi
-
# The zipped names of the 32bit and 64bit versions differ too much, so
# let's set them here.
BINNAM=caps